[user]
    name = Kacper Donat
    email = kadet1090@gmail.com

[alias]
    co = checkout

    unstage = reset HEAD --
    last = log -1 HEAD

    fuck = reset --hard
    ktokurwa = blame

[push]
    default = current
	autoSetupRemote = true

[merge "ours"]
    driver = true

[core]
    excludesfile = ~/.gitignore
    autocrlf = input
	commentchar = ";"

[mergetool "nvimdiff"]
    cmd = nvim -d $LOCAL $REMOTE $MERGED -c '$wincmd w' -c 'wincmd J'

[difftool]
    tool = nvimdiff

[rebase]
    autosquash = true

[include]
    path = ~/.gitconfig.local
